## dracut 044%2B3

=== test/Makefile ===
.PHONY: all check clean

check:
	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
	@for i in TEST-[0-9]*; do \
		[ -d $$i ] || continue ; \
		[ -f $$i/Makefile ] || continue ; \
		if [ -n "$$TESTS" ]; then t=$${i##TEST-}; t=$${t%%-*}; [ "$${TESTS#*$$t*}" != "$$TESTS" ] || continue; fi; \
		if [ -n "$$SKIP" ]; then t=$${i##TEST-}; t=$${t%%-*}; [ "$${SKIP#*$$t*}" != "$$SKIP" ] && continue; fi; \
		$(MAKE) -C $$i all ; \
	done

clean:
	@for i in TEST-[0-9]*; do \
		[ -d $$i ] || continue ; \
		[ -f $$i/Makefile ] || continue ; \
		$(MAKE) -C $$i clean ; \
	done

all:

## dracut 005

=== debian/changelog ===
dracut (005-1) unstable; urgency=low

  * Version 005
  * First dracut release to unstable. Closes: #558274

 -- Philippe Seewer <philippe.seewer@bfh.ch>  Fri, 9 May 2010 11:20:00 +0100

dracut (004-1) unreleased; urgency=low

  * Version 004

 -- Philippe Seewer <philippe.seewer@bfh.ch>  Fri, 5 Mar 2010 15:25:00 +0100

dracut (003-1) unreleased; urgency=low

  * Version 003

 -- Philippe Seewer <philippe.seewer@bfh.ch>  Fri, 27 Nov 2009 15:52:00 +0100

dracut (002-1) unreleased; urgency=low

  * Version 002

 -- Philippe Seewer <philippe.seewer@bfh.ch>  Fri, 27 Nov 2009 15:52:00 +0100

=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Philippe Seewer <philippe.seewer@bfh.ch>
Build-Depends: debhelper (>= 5.0), cdbs
Standards-Version: 3.8.4
Vcs-Browser: http://dracut.git.sourceforge.net/git/gitweb-index.cgi
Vcs-Git: git://dracut.git.sourceforge.net/gitroot/dracut/dracut

Package: dracut
Architecture: all
Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
Suggests: dracut-network
Depends: cpio, module-init-tools, udev, ${misc:Depends}
Provides: linux-initramfs-tool
Description: modular, event-driven initramfs infrastructure
 This package contains tools to create a
 bootable initramfs for 2.6 Linux kernels. Unlike existing
 implementations, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible. Therefore,
 instead of scripts hard-coded to do various things, dracut
 contains various modules which contribute functionality to
 udev, which handles device creation. Having the root on MD,
 LVM2, LUKS is supported as well as NFS, iSCSI, NBD and FCOE
 with dracut-network.

Package: dracut-network
Architecture: all
Recommends: nfs-common, open-iscsi, nbd-client
Depends: dracut, iputils-arping, dhcp3-client, ${misc:Depends}
Description: modular, event-driven initramfs infrastructure -- network support
 This package extends dracut with support for booting off NFS, iSCSI,
 NBD or FCOE.

## dracut 013

=== debian/changelog ===
dracut (013-2) unstable; urgency=low

  * control: add Build-Depends Closes: #642683
  * control: add Depends on kpartx Closes: #636549

 -- Thomas Lange <lange@debian.org>  Mon, 26 Sep 2011 17:49:46 +0200

dracut (013-1) unstable; urgency=low

  * new upstream version, Closes: #636549
  * source/format: use 3.0 quilt format
  * control: fix Vcs-Browser Closes: #637305
  * add dracut.postrm, dracut.logrotate Closes: #637306
  * postrm.d,postinst.d: remove obsolete else part, Closes: #627023
  * add missing dracut.kernel.7
  * add fs-lib module to dracut
  * add livenet module to dracut-network
  * move znet and zfcp to dracut-network

 -- Thomas Lange <lange@debian.org>  Fri, 02 Sep 2011 11:51:41 +0200

dracut (011+36+gd727c5a-1) unstable; urgency=low

  * new upstream release Closes: #617893, #628190, #581092, #581091
  * new maintainer
  * dracut.install,dracut.dirs: remove non-existing modules, add
    dracut.logger, lsinitrd and new modules
  * rules: use new debhelper, no more cdbs
  * control: new URL for git repository, update dependencies, update to
    standards 3.9.1, add URL for homepage
  * add file watch
  * copyright: move to machine readable format, fix URLs
  * compat: update to 8
  * dracut.docs: add missing files, remove COPYING
  * postinst.d/dracut: add script that creates the initrd Closes: #627023
  * postrm.d/dracut: add script that removes initrd Closes: #627023

 -- Thomas Lange <lange@debian.org>  Wed, 03 Aug 2011 17:01:36 +0200

=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Build-Depends: debhelper, docbook-xsl, xsltproc
Standards-Version: 3.9.1
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/dracut.git
Vcs-Git: http://git.debian.org/?p=collab-maint/dracut.git
Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html

Package: dracut
Architecture: all
Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
Suggests: dracut-network
Depends: cpio, module-init-tools, udev, kpartx, ${misc:Depends}
Provides: linux-initramfs-tool
Description: A new initramfs infrastructure
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on. 
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-network
Architecture: all
Recommends: nfs-common, open-iscsi, nbd-client
Depends: dracut, iputils-arping, isc-dhcp-client, ${misc:Depends}
Description: A new initramfs infrastucture
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on. 
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@


override_dh_auto_test:

## dracut 017

=== debian/changelog ===
dracut (017-1) unstable; urgency=low

  * new upstream version
  * do not call dracut if no kernel was found, fix code Closes: #657754
  * control: update to 3.9.3, no changes needed, add Build-depends
  * patches/aufs: aufs was always enabled, now aufs is only activated if
    the string aufs was given on the command line
  * control: update to Standards version 3.9.2, no changes needed, needs
    util-linux >= 2.20
  * debian/patches, rules: add quilt support
  * add aufs patch
  * control: fix VCS fields
  * add url-lib, img-lib, ssh-client modules
  * add add dracut-initramfs-restore
  * add patch for missing rpc user and group
  * add patch for missing unimaps directory Closes: #637296 #661531

 -- Thomas Lange <lange@debian.org>  Wed, 29 Feb 2012 20:15:50 +0100

dracut (013-5) unstable; urgency=high

  * do not call dracut if no kernel was found Closes: #657754

 -- Thomas Lange <lange@debian.org>  Tue, 14 Feb 2012 10:32:02 +0100

dracut (013-4) unstable; urgency=low

  * patches/aufs: aufs was always enabled, now aufs is only activated if
    the string aufs was given on the command line

 -- Thomas Lange <lange@debian.org>  Sat, 11 Feb 2012 12:14:23 +0100

dracut (013-3) unstable; urgency=low

  * add aufs module, for booting a read-only nfsroot and make it writeable
  * control: fix VCS fields, update to Standards 3.9.2, no changes needed

 -- Thomas Lange <lange@debian.org>  Mon, 16 Jan 2012 12:32:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, docbook-xsl, xsltproc
-Standards-Version: 3.9.1
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/dracut.git
-Vcs-Git: http://git.debian.org/?p=collab-maint/dracut.git
+Build-Depends: debhelper, docbook-xsl, xsltproc, quilt
+Standards-Version: 3.9.3
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
+Vcs-Git: git://git.debian.org/collab-maint/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
 Architecture: all
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
-Depends: cpio, module-init-tools, udev, kpartx, ${misc:Depends}
+Depends: cpio, module-init-tools, udev, kpartx, util-linux (>= 2.20), ${misc:Depends}
 Provides: linux-initramfs-tool
 Description: A new initramfs infrastructure
  Unlike existing initramfs's, this is an attempt at having as little as

## dracut 020

=== debian/changelog ===
dracut (020-2) unstable; urgency=low

  * use $kernel when calling modprobe: Closes: #685004

 -- Thomas Lange <lange@debian.org>  Wed, 07 Nov 2012 17:55:07 +0100

dracut (020-1.1) unstable; urgency=medium

  * Non-maintainer upload by the Security Team.
  * Fixing CVE-2012-4453: Create the initramfs non-world readable
    (Closes: #688956).

 -- Luk Claes <luk@debian.org>  Sun, 04 Nov 2012 18:47:50 +0100

dracut (020-1) unstable; urgency=low

  * new upstream version
  * disable building of dracut-install executable, the package should
    remain architecture all for now
  * add qemu modules

 -- Thomas Lange <lange@debian.org>  Sat, 30 Jun 2012 17:24:54 +0200

dracut (019+39+gf48f934-1) unstable; urgency=high

  * sync to upstream, get important fix for missing libraries needed for
    nfs module
  * add nogroup to /etc/group inside the initrd
  * use /etc/ld.so.conf.d/ for creating list of library pathes

 -- Thomas Lange <lange@debian.org>  Tue, 19 Jun 2012 10:30:39 +0200

dracut (019+9+g521c57a-1) unstable; urgency=high

  * import some upstream patches which fixes the "pkg-config command not
    found" errors
  * postinst.d/dracut: create modules.dep if it not already exists

 -- Thomas Lange <lange@debian.org>  Tue, 12 Jun 2012 16:59:41 +0200

dracut (019+1+gd77540c-1) unstable; urgency=medium

  * new upstream
  * add build-depends Closes: #674326
  * do not mount /dev/shm, Closes: #637286

 -- Thomas Lange <lange@debian.org>  Mon, 04 Jun 2012 16:59:14 +0200

dracut (018+32+geb6e141-1) unstable; urgency=low

  * add Debian multiarch support
  * dracut.postinst: do not use uname -r for kernel version
  * control: add depends on kbd
  * postinst.d/dracut: use --libdirs for multiarch support

 -- Thomas Lange <lange@debian.org>  Thu, 26 Apr 2012 17:46:53 +0200

dracut (018-2) unstable; urgency=low

  * postinst.d/dracut: only execute if dracut command is available
  * postrm.d/dracut: fix file name

 -- Thomas Lange <lange@debian.org>  Thu, 19 Apr 2012 10:25:02 +0200

dracut (018-1) unstable; urgency=low

  * new upstream version
  * control: dracut now uses asciidoc, add conflicts on initramfs-tools
  * postinst.d/dracut: new file name for initrd
  * add 80cms modules to dracut-network

 -- Thomas Lange <lange@debian.org>  Wed, 18 Apr 2012 13:30:05 +0200

## dracut 027

=== debian/changelog ===
dracut (027-1) unstable; urgency=low

  * new upstream
  * update copyright information

 -- Thomas Lange <lange@debian.org>  Thu, 28 Mar 2013 20:52:50 +0100

dracut (026+71+g78d1d4f-1) unstable; urgency=low

  * new upstream 026+71+g78d1d4f
  * add man pages
  * add bash completions
  * add cifs module to dracut-network
  * cleanup patches

 -- Thomas Lange <lange@debian.org>  Mon, 25 Mar 2013 14:03:36 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, docbook-xsl, xsltproc, quilt
+Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, quilt
 Standards-Version: 3.9.3
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
 Vcs-Git: git://git.debian.org/collab-maint/dracut.git
@@ -12,8 +12,9 @@
 Architecture: all
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
-Depends: cpio, module-init-tools, udev, kpartx, util-linux (>= 2.20), ${misc:Depends}
+Depends: cpio, module-init-tools, udev, kpartx, kbd, util-linux (>= 2.20), ${misc:Depends}
 Provides: linux-initramfs-tool
+Conflicts: initramfs-tools
 Description: A new initramfs infrastructure
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with quilt


override_dh_auto_test:

=== debian/watch ===
#
#  Watchfile for rinse.
#
#
#  uscan version number - not the version of the software.
#
version=3


#
#  The link to the download location, followed by the regular expression
# to match release tarballs.
#
http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-([\d]+)\.tar\.bz2

## dracut 034

=== debian/changelog ===
dracut (034-2) unstable; urgency=low

  * postinst, preinst: respect second argument, Closes: #729621
  * postinst: do nothing if no initrd is needed, Closes: #729622
    Thanks to Ben Hutchings for both patches

 -- Thomas Lange <lange@debian.org>  Fri, 15 Nov 2013 21:14:42 +0100

dracut (034-1) unstable; urgency=low

  * new upstream
  * patches/libdir: add space to string, Closes: #724514
  * debian/etc/10-debian.conf: disable prelink by default, Closes: #719608
  * dracut.install: remove bcache module

 -- Thomas Lange <lange@debian.org>  Wed, 09 Oct 2013 11:38:06 +0200

dracut (033-1) unstable; urgency=low

  * new upstream
  * fix path for resume binary, Closes: #708253

 -- Thomas Lange <lange@debian.org>  Thu, 19 Sep 2013 17:28:20 +0200

dracut (032-1) unstable; urgency=low

  * new upstream
  * add bash completion for lsinitrd
  * add bash module
  * postinst.d/dracut: remove code since dracut now handles multiarch lib
    dirs
  * refresh patches

 -- Thomas Lange <lange@debian.org>  Fri, 23 Aug 2013 13:18:38 +0200

dracut (031-2) unstable; urgency=low

  * control: move arch from all to any,
    add Multi-Arch line, Closes: #719610
  * use dracut-install executable instead of shell implementation
  * dracut.install,dracut-network.install: add all dracut modules

 -- Thomas Lange <lange@debian.org>  Fri, 16 Aug 2013 11:03:44 +0200

dracut (031-1) unstable; urgency=low

  * new upstream
  * update debian patches
  * control: add curl to recommends of dracut-network
  * copyright: add entry for dracut-install.c

 -- Thomas Lange <lange@debian.org>  Sun, 11 Aug 2013 11:49:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
-Architecture: all
+Architecture: any
+Multi-Arch: foreign
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
-Depends: cpio, module-init-tools, udev, kpartx, kbd, util-linux (>= 2.20), ${misc:Depends}
+Depends: cpio, module-init-tools, udev, kpartx, kbd, util-linux (>= 2.20), ${shlibs:Depends}, ${misc:Depends}
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools
 Description: A new initramfs infrastructure
@@ -28,7 +29,7 @@
 
 Package: dracut-network
 Architecture: all
-Recommends: nfs-common, open-iscsi, nbd-client
+Recommends: nfs-common, open-iscsi, nbd-client, curl
 Depends: dracut, iputils-arping, isc-dhcp-client, ${misc:Depends}
 Description: A new initramfs infrastucture
  Unlike existing initramfs's, this is an attempt at having as little as

## dracut 038

=== debian/changelog ===
dracut (038-2) unstable; urgency=low

  * control: change depends on kbd to console-setup

 -- Thomas Lange <lange@debian.org>  Thu, 17 Jul 2014 13:40:08 +0200

dracut (038-1) unstable; urgency=low

  * new upstream
  * remove 10i18n patch, not needed any more
  * update standards version, no changes needed

 -- Thomas Lange <lange@debian.org>  Thu, 03 Jul 2014 15:12:26 +0200

dracut (037-2) unstable; urgency=low

  * add i18n support for Debian using new module 09-console-setup,
    Closes: #640101, Thanks to Anton Zinoviev for the patches
  * add README.Debian, which includes info about i18n in Debian
  * disable module 10i18n, Closes: #664678
  * control: add pkg-config to depends, Closes: #748084
  * add dracut-version.sh to package, Closes: #749849

 -- Thomas Lange <lange@debian.org>  Mon, 16 Jun 2014 14:37:52 +0200

dracut (037-1) unstable; urgency=low

  * new upstream

 -- Thomas Lange <lange@debian.org>  Wed, 02 Apr 2014 22:26:45 +0200

dracut (036-1) unstable; urgency=low

  * new upstream, Closes: #720105
  * control: use kmod in depends, Closes: #733699
  * control: add conflicts, closes: #729809
  * control: change package description one liner
  * aufs: mount /cow with mode 0775, Closes: #737554
  * add NEWS.Debian
  * adjust patches
  * improve watch file

 -- Thomas Lange <lange@debian.org>  Mon, 17 Feb 2014 15:53:00 +0100

## dracut 040+1

=== debian/changelog ===
dracut (040+1-1) unstable; urgency=low

  * new upstream, Closes: #739794, #758655, #754062, #755271

 -- Thomas Lange <lange@debian.org>  Fri, 24 Oct 2014 15:32:38 +0200

dracut (038-3) unstable; urgency=low

  * add systemd units to package Closes: #764393
  * add patch for dracut-initramfs-restore, Closes: #764393
    Thanks to Lukas Wunner for the patch

 -- Thomas Lange <lange@debian.org>  Wed, 08 Oct 2014 11:55:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
 Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, quilt
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
 Vcs-Git: git://git.debian.org/collab-maint/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
@@ -13,10 +13,10 @@
 Multi-Arch: foreign
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
-Depends: cpio, module-init-tools, udev, kpartx, kbd, util-linux (>= 2.20), ${shlibs:Depends}, ${misc:Depends}
+Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
 Provides: linux-initramfs-tool
-Conflicts: initramfs-tools
-Description: A new initramfs infrastructure
+Conflicts: initramfs-tools, live-tools
+Description: Low-level tool for generating an initramfs image
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that
@@ -31,7 +31,7 @@
 Architecture: all
 Recommends: nfs-common, open-iscsi, nbd-client, curl
 Depends: dracut, iputils-arping, isc-dhcp-client, ${misc:Depends}
-Description: A new initramfs infrastucture
+Description: Low-level tool for generating an initramfs image
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 %:
 	dh $@ --with quilt
 
+override_dh_auto_configure:
+	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_test:

## dracut 043

=== debian/changelog ===
dracut (043-2) unstable; urgency=medium

  * control: add breaks and replaces, Closes: #796163

 -- Thomas Lange <lange@debian.org>  Thu, 20 Aug 2015 11:56:25 +0200

dracut (043-1) unstable; urgency=low

  * new upstream, Closes: #771413
  * control: add packages dracut-config-{rescue,generic} which include
    config files how dracut will build the initrd
  * 10-debian.conf: generate hostonly initrd by default
  * aufs module: transform aufs patch to files in a directory, use --bind
    instead of --move, move module from dracut-network to dracut,
    make aufs independent of nfs

 -- Thomas Lange <lange@debian.org>  Wed, 12 Aug 2015 22:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
 Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, quilt
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
-Vcs-Git: git://git.debian.org/collab-maint/dracut.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
 
 Package: dracut
@@ -14,6 +14,8 @@
 Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
 Suggests: dracut-network
 Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
+Breaks: dracut-network (<< 043-2)
+Replaces: dracut-network (<< 043-2)
 Provides: linux-initramfs-tool
 Conflicts: initramfs-tools, live-tools
 Description: Low-level tool for generating an initramfs image
@@ -42,3 +44,14 @@
  Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
  NBD and FCOE with dracut-network.
 
+Package: dracut-config-generic
+Architecture: all
+Depends: dracut
+Description: Low-level tool for generating an initramfs image
+ This is the dracut configuration to turn off hostonly image generation
+
+Package: dracut-config-rescue
+Architecture: all
+Depends: dracut
+Description: Low-level tool for generating an initramfs image
+ This is the dracut configuration to turn on rescue image generation

## dracut 044%2B241

=== debian/control ===
Source: dracut
Section: utils
Priority: optional
Maintainer: Thomas Lange <lange@debian.org>
Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
Standards-Version: 3.9.8
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html

Package: dracut
Architecture: all
Multi-Arch: foreign
Suggests: dracut-network
Depends: dracut-core (>= ${binary:Version}), dracut-core (<< ${binary:Version}+b+~)
Provides: linux-initramfs-tool
Conflicts: initramfs-tools, live-tools
Description: Low-level tool for generating an initramfs image (automation)
 This package builds a bootable initramfs for Linux kernel packages.  The
 initramfs is loaded along with the kernel and is responsible for
 mounting the root filesystem and starting the main init system.

Package: dracut-core
Architecture: any
Multi-Arch: foreign
Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup
Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
Description: Low-level tool for generating an initramfs image (core tools)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-network
Architecture: all
Recommends: nfs-common, open-iscsi, nbd-client, curl
Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
Description: Low-level tool for generating an initramfs image (network modules)
 Unlike existing initramfs's, this is an attempt at having as little as
 possible hard-coded into the initramfs as possible.  The initramfs has
 (basically) one purpose in life -- getting the rootfs mounted so that
 we can transition to the real rootfs.  This is all driven off of
 device availability.  Therefore, instead of scripts hard-coded to do
 various things, we depend on udev to create device nodes for us and
 then when we have the rootfs's device node, we mount and carry on.
 Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
 NBD and FCOE with dracut-network.

Package: dracut-config-generic
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn off hostonly image generation

Package: dracut-config-rescue
Architecture: all
Depends: dracut-core
Description: Low-level tool for generating an initramfs image
 This is the dracut configuration to turn on rescue image generation

## dracut 044+3

=== Makefile ===
-include dracut-version.sh

VERSION ?= $(shell [ -d .git ] && git describe --abbrev=0 --tags 2>/dev/null || echo $(DRACUT_VERSION))
GITVERSION ?= $(shell [ -d .git ] && { v=$$(git describe --tags 2>/dev/null); [ -n "$$v" ] && [ $${v\#*-} != $$v ] && echo -$${v\#*-}; } )

-include Makefile.inc

prefix ?= /usr
libdir ?= ${prefix}/lib
datadir ?= ${prefix}/share
pkglibdir ?= ${libdir}/dracut
sysconfdir ?= ${prefix}/etc
bindir ?= ${prefix}/bin
mandir ?= ${prefix}/share/man
CFLAGS ?= -O2 -g -Wall
CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
bashcompletiondir ?= ${datadir}/bash-completion/completions
pkgconfigdatadir ?= $(datadir)/pkgconfig

man1pages = lsinitrd.1

man5pages = dracut.conf.5

man7pages = dracut.cmdline.7 \
            dracut.bootup.7 \
            dracut.modules.7

man8pages = dracut.8 \
            dracut-catimages.8 \
            mkinitrd.8 \
            mkinitrd-suse.8 \
            modules.d/98dracut-systemd/dracut-cmdline.service.8 \
            modules.d/98dracut-systemd/dracut-initqueue.service.8 \
            modules.d/98dracut-systemd/dracut-mount.service.8 \
            modules.d/98dracut-systemd/dracut-shutdown.service.8 \
            modules.d/98dracut-systemd/dracut-pre-mount.service.8 \
            modules.d/98dracut-systemd/dracut-pre-pivot.service.8 \
            modules.d/98dracut-systemd/dracut-pre-trigger.service.8 \
            modules.d/98dracut-systemd/dracut-pre-udev.service.8

manpages = $(man1pages) $(man5pages) $(man7pages) $(man8pages)

.PHONY: install clean archive rpm testimage test all check AUTHORS doc dracut-version.sh

all: dracut-version.sh dracut.pc dracut-install skipcpio/skipcpio

DRACUT_INSTALL_OBJECTS = \
        install/dracut-install.o \
        install/hashmap.o\
        install/log.o \
        install/strv.o \
        install/util.o

# deps generated with gcc -MM
install/dracut-install.o: install/dracut-install.c install/log.h install/macro.h \
	install/hashmap.h install/util.h
install/hashmap.o: install/hashmap.c install/util.h install/macro.h install/log.h \
	install/hashmap.h
install/log.o: install/log.c install/log.h install/macro.h install/util.h
install/util.o: install/util.c install/util.h install/macro.h install/log.h
install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h

install/dracut-install: $(DRACUT_INSTALL_OBJECTS)

dracut-install: install/dracut-install
	ln -fs $< $@

SKIPCPIO_OBJECTS= \
	skipcpio/skipcpio.o

skipcpio/skipcpio.o: skipcpio/skipcpio.c
skipcpio/skipcpio: skipcpio/skipcpio.o

indent:
	indent -i8 -nut -br -linux -l120 install/dracut-install.c
	indent -i8 -nut -br -linux -l120 skipcpio/skipcpio.c

doc: $(manpages) dracut.html

ifneq ($(enable_documentation),no)
all: doc
endif

%: %.xml
	@rm -f -- "$@"
	xsltproc -o "$@" -nonet http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

%.xml: %.asc
	@rm -f -- "$@"
	asciidoc -d manpage -b docbook -o "$@" $<

dracut.8: dracut.usage.asc dracut.8.asc

dracut.html: dracut.asc $(manpages) dracut.css dracut.usage.asc
	@rm -f -- dracut.xml
	asciidoc -a numbered -d book -b docbook -o dracut.xml dracut.asc
	@rm -f -- dracut.html
	xsltproc -o dracut.html --xinclude -nonet \
		--stringparam custom.css.source dracut.css \
		--stringparam generate.css.header 1 \
		http://docbook.sourceforge.net/release/xsl/current/xhtml/docbook.xsl dracut.xml
	@rm -f -- dracut.xml

dracut.pc: Makefile.inc Makefile
	@echo "Name: dracut" > dracut.pc
	@echo "Description: dracut" >> dracut.pc
	@echo "Version: $(VERSION)$(GITVERSION)" >> dracut.pc
	@echo "dracutdir=$(pkglibdir)" >> dracut.pc
	@echo "dracutmodulesdir=$(pkglibdir)/modules.d" >> dracut.pc
	@echo "dracutconfdir=$(pkglibdir)/dracut.conf.d" >> dracut.pc

install: all
	mkdir -p $(DESTDIR)$(pkglibdir)
	mkdir -p $(DESTDIR)$(bindir)
	mkdir -p $(DESTDIR)$(sysconfdir)
	mkdir -p $(DESTDIR)$(pkglibdir)/modules.d
	mkdir -p $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(mandir)/man5 $(DESTDIR)$(mandir)/man7 $(DESTDIR)$(mandir)/man8
	install -m 0755 dracut.sh $(DESTDIR)$(bindir)/dracut
	install -m 0755 dracut-catimages.sh $(DESTDIR)$(bindir)/dracut-catimages
	install -m 0755 mkinitrd-dracut.sh $(DESTDIR)$(bindir)/mkinitrd
	install -m 0755 lsinitrd.sh $(DESTDIR)$(bindir)/lsinitrd
	install -m 0644 dracut.conf $(DESTDIR)$(sysconfdir)/dracut.conf
	mkdir -p $(DESTDIR)$(sysconfdir)/dracut.conf.d
	mkdir -p $(DESTDIR)$(pkglibdir)/dracut.conf.d
	install -m 0755 dracut-init.sh $(DESTDIR)$(pkglibdir)/dracut-init.sh
	install -m 0755 dracut-functions.sh $(DESTDIR)$(pkglibdir)/dracut-functions.sh
	install -m 0755 dracut-version.sh $(DESTDIR)$(pkglibdir)/dracut-version.sh
	ln -fs dracut-functions.sh $(DESTDIR)$(pkglibdir)/dracut-functions
	install -m 0755 dracut-logger.sh $(DESTDIR)$(pkglibdir)/dracut-logger.sh
	install -m 0755 dracut-initramfs-restore.sh $(DESTDIR)$(pkglibdir)/dracut-initramfs-restore
	cp -arx modules.d $(DESTDIR)$(pkglibdir)
ifneq ($(enable_documentation),no)
	for i in $(man1pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man1/$${i##*/}; done
	for i in $(man5pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man5/$${i##*/}; done
	for i in $(man7pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man7/$${i##*/}; done
	for i in $(man8pages); do install -m 0644 $$i $(DESTDIR)$(mandir)/man8/$${i##*/}; done
	ln -fs dracut.cmdline.7 $(DESTDIR)$(mandir)/man7/dracut.kernel.7
endif
	if [ -n "$(systemdsystemunitdir)" ]; then \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir); \
		ln -srf $(DESTDIR)$(pkglibdir)/modules.d/98dracut-systemd/dracut-shutdown.service $(DESTDIR)$(systemdsystemunitdir)/dracut-shutdown.service; \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir)/sysinit.target.wants; \
		ln -s ../dracut-shutdown.service \
		$(DESTDIR)$(systemdsystemunitdir)/sysinit.target.wants/dracut-shutdown.service; \
		mkdir -p $(DESTDIR)$(systemdsystemunitdir)/initrd.target.wants; \
		for i in \
		    dracut-cmdline.service \
		    dracut-initqueue.service \
		    dracut-mount.service \
		    dracut-pre-mount.service \
		    dracut-pre-pivot.service \
		    dracut-pre-trigger.service \
		    dracut-pre-udev.service \
		    ; do \
			ln -srf $(DESTDIR)$(pkglibdir)/modules.d/98dracut-systemd/$$i $(DESTDIR)$(systemdsystemunitdir); \
			ln -s ../$$i \
			$(DESTDIR)$(systemdsystemunitdir)/initrd.target.wants/$$i; \
		done \
	fi
	if [ -f install/dracut-install ]; then \
		install -m 0755 install/dracut-install $(DESTDIR)$(pkglibdir)/dracut-install; \
	fi
	if [ -f skipcpio/skipcpio ]; then \
		install -m 0755 skipcpio/skipcpio $(DESTDIR)$(pkglibdir)/skipcpio; \
	fi
	mkdir -p $(DESTDIR)${prefix}/lib/kernel/install.d
	install -m 0755 50-dracut.install $(DESTDIR)${prefix}/lib/kernel/install.d/50-dracut.install
	install -m 0755 51-dracut-rescue.install $(DESTDIR)${prefix}/lib/kernel/install.d/51-dracut-rescue.install
	mkdir -p $(DESTDIR)${bashcompletiondir}
	install -m 0644 dracut-bash-completion.sh $(DESTDIR)${bashcompletiondir}/dracut
	install -m 0644 lsinitrd-bash-completion.sh $(DESTDIR)${bashcompletiondir}/lsinitrd
	mkdir -p $(DESTDIR)${pkgconfigdatadir}
	install -m 0644 dracut.pc $(DESTDIR)${pkgconfigdatadir}/dracut.pc

dracut-version.sh:
	@rm -f dracut-version.sh
	@echo "DRACUT_VERSION=$(VERSION)$(GITVERSION)" > dracut-version.sh

clean:
	$(RM) *~
	$(RM) */*~
	$(RM) */*/*~
	$(RM) $(manpages:%=%.xml) dracut.xml
	$(RM) test-*.img
	$(RM) dracut-*.rpm dracut-*.tar.bz2 dracut-*.tar.xz
	$(RM) dracut-version.sh
	$(RM) dracut-install install/dracut-install $(DRACUT_INSTALL_OBJECTS)
	$(RM) skipcpio/skipcpio $(SKIPCPIO_OBJECTS)
	$(RM) $(manpages) dracut.html
	$(MAKE) -C test clean

dist: dracut-$(VERSION).tar.xz

dracut-$(VERSION).tar.xz: doc syncheck
	@echo "DRACUT_VERSION=$(VERSION)" > dracut-version.sh
	git archive --format=tar $(VERSION) --prefix=dracut-$(VERSION)/ > dracut-$(VERSION).tar
	mkdir -p dracut-$(VERSION)
	for i in $(manpages) dracut.html dracut-version.sh; do [ "$${i%/*}" != "$$i" ] && mkdir -p "dracut-$(VERSION)/$${i%/*}"; cp "$$i" "dracut-$(VERSION)/$$i"; done
	tar --owner=root --group=root -rf dracut-$(VERSION).tar $$(find dracut-$(VERSION) -type f)
	rm -fr -- dracut-$(VERSION).tar.xz dracut-$(VERSION)
	xz -9 dracut-$(VERSION).tar
	rm -f -- dracut-$(VERSION).tar

rpm: dracut-$(VERSION).tar.xz syncheck
	rpmbuild=$$(mktemp -d -t rpmbuild-dracut.XXXXXX); src=$$(pwd); \
	cp dracut-$(VERSION).tar.xz "$$rpmbuild"; \
	LC_MESSAGES=C $$src/git2spec.pl $(VERSION) "$$rpmbuild" < dracut.spec > $$rpmbuild/dracut.spec; \
	(cd "$$rpmbuild"; \
	wget https://www.gnu.org/licenses/lgpl-2.1.txt; \
	rpmbuild --define "_topdir $$PWD" --define "_sourcedir $$PWD" \
	        --define "_specdir $$PWD" --define "_srcrpmdir $$PWD" \
		--define "_rpmdir $$PWD" -ba dracut.spec; ) && \
	( mv "$$rpmbuild"/$$(arch)/*.rpm .; mv "$$rpmbuild"/*.src.rpm .;rm -fr -- "$$rpmbuild"; ls *.rpm )

syncheck:
	@ret=0;for i in dracut-initramfs-restore.sh modules.d/*/*.sh; do \
                [ "$${i##*/}" = "module-setup.sh" ] && continue; \
                read line < "$$i"; [ "$${line#*bash*}" != "$$line" ] && continue; \
		[ $$V ] && echo "posix syntax check: $$i"; bash --posix -n "$$i" ; ret=$$(($$ret+$$?)); \
		[ $$V ] && echo "checking for [[: $$i"; if grep -Fq '[[ ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains [["; fi; \
		[ $$V ] && echo "checking for echo -n: $$i"; if grep -Fq 'echo -n ' "$$i" ; then ret=$$(($$ret+1)); echo "$$i contains echo -n"; fi \
	done;exit $$ret
	@ret=0;for i in *.sh mkinitrd-dracut.sh modules.d/*/*.sh \
	                modules.d/*/module-setup.sh; do \
		[ $$V ] && echo "bash syntax check: $$i"; bash -n "$$i" ; ret=$$(($$ret+$$?)); \
	done;exit $$ret

check: all syncheck rpm
	@[ "$$EUID" == "0" ] || { echo "'check' must be run as root! Please use 'sudo'."; exit 1; }
	@$(MAKE) -C test check

testimage: all
	./dracut.sh -N -l -a debug -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

debugtestimage: all
	./dracut.sh --debug -l -a debug -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

testimages: all
	./dracut.sh -l -a debug --kernel-only -f test-kernel-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img
	./dracut.sh -l -a debug --no-kernel -f test-dracut.img $(shell uname -r)
	@echo wrote  test-dracut.img

debughostimage: all
	./dracut.sh --debug -H -l -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

hostimage: all
	./dracut.sh -H -l -f test-$(shell uname -r).img $(shell uname -r)
	@echo wrote  test-$(shell uname -r).img

efi: all
	./dracut.sh --uefi -H -l -f linux-$(shell uname -r).efi $(shell uname -r)
	@echo wrote linux-$(shell uname -r).efi

AUTHORS:
	git shortlog  --numbered --summary -e |while read a rest || [ -n "$$rest" ]; do echo $$rest;done > AUTHORS

dracut.html.sign: dracut-$(VERSION).tar.xz dracut.html
	gpg-sign-all dracut-$(VERSION).tar.xz dracut.html

upload: dracut.html.sign
	kup put dracut-$(VERSION).tar.xz dracut-$(VERSION).tar.sign /pub/linux/utils/boot/dracut/
	kup put dracut.html dracut.html.sign /pub/linux/utils/boot/dracut/

=== debian/changelog ===
dracut (044+3-3) unstable; urgency=low

  * add dracut.maintscript, so the duplicate logrotate entry is removed

 -- Thomas Lange <lange@debian.org>  Fri, 15 Jan 2016 02:37:08 +0100

dracut (044+3-2) unstable; urgency=medium

  [ Ben Hutchings ]
  * Split dracut binary package into core and automation hooks,
    Closes: #808787

 -- Thomas Lange <lange@debian.org>  Wed, 23 Dec 2015 23:13:50 +0100

dracut (044+3-1) unstable; urgency=low

  * new upstream, Closes: #802823
  * new patch libdir, multipath Closes: #796329
  * fix plymouth path and remove items, Closes: #796110
  * dracut.install: add dracut-init.sh
  * aufs-mount.sh: use getargbool

 -- Thomas Lange <lange@debian.org>  Sun, 29 Nov 2015 13:49:04 +0100

dracut (043-4) unstable; urgency=low

  * add more man pages to package

 -- Thomas Lange <lange@debian.org>  Thu, 17 Sep 2015 03:34:44 +0200

dracut (043-3) unstable; urgency=low

  * dracut-network: activate ifcfg module

 -- Thomas Lange <lange@debian.org>  Mon, 07 Sep 2015 12:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
-Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, docbook-xml, quilt, libkmod-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, docbook-xml, quilt
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/dracut.git
 Homepage: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut.html
@@ -23,8 +23,8 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup
-Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, libkmod2, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
+Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: Low-level tool for generating an initramfs image (core tools)
@@ -34,7 +34,7 @@
  we can transition to the real rootfs.  This is all driven off of
  device availability.  Therefore, instead of scripts hard-coded to do
  various things, we depend on udev to create device nodes for us and
- then when we have the rootfs's device node, we mount and carry on.
+ then when we have the rootfs's device node, we mount and carry on. 
  Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
  NBD and FCOE with dracut-network.
 
@@ -42,14 +42,14 @@
 Architecture: all
 Recommends: nfs-common, open-iscsi, nbd-client, curl
 Depends: dracut-core, iputils-arping, isc-dhcp-client, ${misc:Depends}
-Description: Low-level tool for generating an initramfs image (network modules)
+Description: Low-level tool for generating an initramfs image
  Unlike existing initramfs's, this is an attempt at having as little as
  possible hard-coded into the initramfs as possible.  The initramfs has
  (basically) one purpose in life -- getting the rootfs mounted so that
  we can transition to the real rootfs.  This is all driven off of
  device availability.  Therefore, instead of scripts hard-coded to do
  various things, we depend on udev to create device nodes for us and
- then when we have the rootfs's device node, we mount and carry on.
+ then when we have the rootfs's device node, we mount and carry on. 
  Having the root on MD, LVM2, LUKS is supported as well as NFS, iSCSI,
  NBD and FCOE with dracut-network.

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	dh_auto_configure -- --systemdsystemunitdir=/lib/systemd/system
 
 override_dh_auto_test:
+
+override_dh_clean:
+	dh_clean dracut.pc Makefile.inc dracut-version.sh

## dracut 044+38

=== debian/changelog ===
dracut (044+38-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sat, 30 Apr 2016 14:16:39 -0700

dracut (044+38-1) unstable; urgency=low

  * merge upstream 044+38+gb127294
  * make console-setup a recommends instead of depends, Closes: #812943
  * 90console-setup: Fix console-setup module-setup script to not
    terminate
  * rules: fix permissions

 -- Thomas Lange <lange@debian.org>  Mon, 21 Mar 2016 13:47:15 +0100

dracut (044+3-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@debian.org>  Sun, 06 Mar 2016 19:52:04 -0800

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Thomas Lange <lange@debian.org>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Build-Depends: debhelper, asciidoc, xsltproc, docbook-xsl, docbook-xml, quilt
 Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dracut.git
@@ -23,8 +24,8 @@
 Package: dracut-core
 Architecture: any
 Multi-Arch: foreign
-Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm
-Depends: cpio, kmod, udev, kpartx, console-setup, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
+Recommends: cryptsetup, dmsetup, dmraid, lvm2, mdadm, console-setup
+Depends: cpio, kmod, udev, kpartx, util-linux (>= 2.20), pkg-config, ${shlibs:Depends}, ${misc:Depends}
 Breaks: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Replaces: dracut-network (<< 043-2), dracut (<< 044+3-2~)
 Description: Low-level tool for generating an initramfs image (core tools)

## dracut 044+109

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 sysconfdir ?= ${prefix}/etc
 bindir ?= ${prefix}/bin
 mandir ?= ${prefix}/share/man
-CFLAGS ?= -O2 -g -Wall
+CFLAGS ?= -O2 -g -Wall $(KMOD_CFLAGS)
 CFLAGS += -std=gnu99 -D_FILE_OFFSET_BITS=64 -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
 bashcompletiondir ?= ${datadir}/bash-completion/completions
 pkgconfigdatadir ?= $(datadir)/pkgconfig
@@ -61,6 +61,7 @@
 install/strv.o: install/strv.c install/strv.h install/util.h install/macro.h install/log.h
 
 install/dracut-install: $(DRACUT_INSTALL_OBJECTS)
+	$(CC) $(LDFLAGS) -o $@ $(DRACUT_INSTALL_OBJECTS) $(LDLIBS) $(KMOD_LIBS)
 
 dracut-install: install/dracut-install
 	ln -fs $< $@

=== debian/changelog ===
dracut (044+109-1~bpo8+1) jessie-backports; urgency=low

  * make release for backports

 -- Thomas Lange <lange@debian.org>  Thu, 25 Aug 2016 22:18:55 +0200

dracut (044+109-1) unstable; urgency=low

  * merge upstream 044+109+g3889234
  * update standards version, no changes needed
  * add README.Debian
  * add patch systemd-udev
  * add check for aufs and overlayfs if filesystem is supported

 -- Thomas Lange <lange@debian.org>  Sun, 31 Jul 2016 21:18:04 +0200

dracut (044+105-2) unstable; urgency=medium

  * overlay-mount.sh: remove debuging

 -- Thomas Lange <lange@debian.org>  Mon, 27 Jun 2016 17:00:26 +0200

dracut (044+105-1) unstable; urgency=medium

  * merge upstream 044-105-gf6fa9ef
  * add overlayfs support for the root file system

 -- Thomas Lange <lange@debian.org>  Sat, 25 Jun 2016 16:10:25 +0200

## dracut 044+189

=== debian/changelog ===
dracut (044+189-2~bpo8+1) jessie-backports; urgency=high

  * make release for backports

 -- Thomas Lange <lange@debian.org>  Wed, 14 Dec 2016 15:52:32 +0100

dracut (044+189-2) unstable; urgency=high

  * rules: set libdir
  * set compat level to 9, Closes: #830229

 -- Thomas Lange <lange@debian.org>  Wed, 14 Dec 2016 11:41:52 +0000

dracut (044+189-1) unstable; urgency=high

  * upgrade to a newer upstream: Closes: #843697, which is CVE-2016-8637
  * dracut.maintscript: remove parameter from mainscript, Closes: #839951
  * new patch crc32, adding crc32c driver for ext4, Closes: #835060

 -- Thomas Lange <lange@debian.org>  Tue, 13 Dec 2016 21:45:01 +0100

## dracut 044+223

=== debian/changelog ===
dracut (044+223-1~bpo8+1) jessie-backports; urgency=medium

  * new upstream
  * make release for backports

 -- Thomas Lange <lange@debian.org>  Tue, 17 Jan 2017 15:54:17 +0100
